[
  {
    "name": "WaterMeterUDT",
    "parameters": {
      "OpcDevice": {
        "dataType": "String",
        "value": "ns\u003d1;s\u003d[WaterSystemPLC]"
      },
      "OpcServer": {
        "dataType": "String",
        "value": "Ignition OPC UA Server"
      }
    },
    "tagType": "UdtType",
    "tags": [
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}DI5"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "FloatSwitch",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}DI6"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "alarms": [
          {
            "setpointA": 1.0,
            "name": "Alarm",
            "label": "Leak sensor 1 triggered",
            "priority": "High",
            "ackMode": "Auto"
          }
        ],
        "name": "LeakSensor1",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}DI7"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "alarms": [
          {
            "setpointA": 1.0,
            "name": "Alarm",
            "label": "Leak sensor 2 triggered",
            "priority": "High",
            "ackMode": "Auto"
          }
        ],
        "name": "LeakSensor2",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}IRF28771"
        },
        "dataType": "Float8",
        "historyProvider": "CoreDB",
        "name": "PostFilterPressure",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}IRF28731"
        },
        "dataType": "Float8",
        "historyProvider": "CoreDB",
        "name": "PreFilterPressure",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}C8261"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "PrimaryValveCloseOverrideOff",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}C8260"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "PrimaryValveCloseOverrideOn",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}DI2"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "PrimaryValveClosedBTN",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}C8226"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "PrimaryValveClosedInd",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "expr",
        "expression": "if({[.]PrimaryValveCloseOverrideOff},\"Closed - Override\",\n\tif({[.]PrimaryValveCloseOverrideOn},\"Open - Override\",\n\t\tif({[.]PrimaryValveClosedBTN},\"Closed - Button\",\n\t\t\tif({[.]LeakSensor1},\"Closed - Leak Sensor 1\",\n\t\t\t\tif({[.]LeakSensor2},\"Closed - Leak Sensor 2\",\n\t\t\t\t\t\"Open\")))))",
        "opcItemPath": "ns\u003d1;s\u003dPrimaryValveCloseStatusMsg",
        "dataType": "String",
        "name": "PrimaryValveClosedMsg",
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}DI3"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "PumpBTN",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}C8227"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "PumpInd",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}C8263"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "PumpOverrideOff",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}C8262"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "PumpOverrideOn",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "expr",
        "expression": "if({[.]PumpOverrideOff},\"Off - Override\",\n\tif({[.]PumpOverrideOn},\"On - Override\",\n\t\tif({[.]PumpBTN},\"On - Button\",\n\t\t\tif({[.]FloatSwitch},\"On - Level Switch\",\n\t\t\t\t\"Off\"))))",
        "opcItemPath": "ns\u003d1;s\u003dPumpStatusMsg",
        "dataType": "String",
        "name": "PumpStatusMsg",
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}C8257"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "SedimentFilterTimer",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}C8259"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "SedimentFilterValueOpenOverrideOff",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}C8258"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "SedimentFilterValueOpenOverrideOn",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}DI1"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "SedimentFilterValveOpenBTN",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}C8225"
        },
        "dataType": "Boolean",
        "historyProvider": "CoreDB",
        "name": "SedimentFilterValveOpenInd",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "expr",
        "expression": "if({[.]SedimentFilterValueOpenOverrideOff},\"Closed - Override\",\n\tif({[.]SedimentFilterValueOpenOverrideOn},\"Open - Override\",\n\t\tif({[.]SedimentFilterValveOpenBTN},\"Open - Button\",\n\t\t\tif({[.]SedimentFilterTimer},\"Open - Timer\",\n\t\t\t\t\"Closed\"))))",
        "opcItemPath": "ns\u003d1;s\u003dSedimentFilterValueOpenStatusMsg",
        "dataType": "String",
        "name": "SedimentFilterValveOpenStatusMsg",
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      },
      {
        "valueSource": "opc",
        "opcItemPath": {
          "bindType": "parameter",
          "binding": "{OpcDevice}IRF28691"
        },
        "dataType": "Float8",
        "historyProvider": "CoreDB",
        "name": "TankLevel",
        "historyEnabled": true,
        "tagType": "AtomicTag",
        "opcServer": {
          "bindType": "parameter",
          "binding": "{OpcServer}"
        }
      }
    ]
  }
]